Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154891 - starting GUI on a running Gulm cluster doesn't work
Summary: starting GUI on a running Gulm cluster doesn't work
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 18:30 UTC by Corey Marthaler
Modified: 2009-04-16 20:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-28 22:15:39 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2005-04-14 18:30:19 UTC
Description of problem:
I thought that there was already a bug open for this but I didn't find one...

When first starting the GUI (on a running gulm cluster), it causes an error
because it can't talk to cman and then backtraces and dies.

Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 407, in ?
    runFullGUI()
  File "/usr/sbin/system-config-cluster", line 390, in runFullGUI
    baseapp = basecluster(glade_xml, app)
  File "/usr/sbin/system-config-cluster", line 124, in __init__
    self.mgmttab = MgmtTab(glade_xml, self.model_builder)
  File "/usr/share/system-config-cluster/MgmtTab.py", line 116, in __init__
    self.prep_service_tree()
  File "/usr/share/system-config-cluster/MgmtTab.py", line 165, in prep_service_tree
    if len(services) == 0:
TypeError: len() of unsized object

Comment 1 Jim Parsons 2005-04-28 21:36:34 UTC
Fixed in 0.9.43

Comment 2 Corey Marthaler 2005-04-28 22:15:39 UTC
fix verified in -43.


Note You need to log in before you can comment on or make changes to this bug.